<?php
add_action('init', 'of_options');

if (!function_exists('of_options')) {
    function of_options()
    {
        // Load WordPress categories into array
        $of_categories = array();
        $of_categories_obj = get_categories('hide_empty=0');
        foreach ($of_categories_obj as $of_cat) {
            $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;
        }
        $categories_tmp = array_unshift($of_categories, "Select a category:");

        // Load WordPress pages into array
        $of_pages = array();
        $of_pages_obj = get_pages('sort_column=post_parent,menu_order&post_status=publish,private');
        foreach ($of_pages_obj as $of_page) {
            $of_pages[$of_page->ID] = $of_page->post_title . ' (ID '.$of_page->ID.')';
        }

        // landing page layout/order
        $of_options_homepage_blocks = array
        (
            "disabled" => array(
                "placebo" => "placebo", //REQUIRED!
                "block_social_header"               => "Header Social Icons",
                "block_big_testimonial_slider"      => "Testimonial Slider",
                "block_page_content1"               => "Page Content 1",
                "block_page_content2"               => "Page Content 2",
                "block_page_content3"               => "Page Content 3",
                "block_page_content4"               => "Page Content 4",
                "block_page_content5"               => "Page Content 5",
                "block_widget1"                     => "Widget 1",
                "block_widget2"                     => "Widget 2",
                "block_cta_buttons"                 => "Action Buttons"
            ),
            "enabled" => array(
                "placebo" => "placebo", //REQUIRED!
                "block_features"                    => "List of Features",
                "block_gallery"                     => "Gallery",
                "block_big_testimonial"             => "Feat. Testimonial",
                "block_small_testimonials"          => "Small Testimonials",
                "block_newsletter"                  => "Newsletter Signup Form",
                "block_pricing_table"               => "Pricing Table",
                "block_payment"                     => "Payment Options",
                "block_social_side"                 => "Sidebar Social Icons",
            ),
        );

        $of_options_social_blocks = array
        (
            "disabled" => array(
                "placebo"               => "placebo", //REQUIRED!
                "stumbleupon"           => "StumbleUpon",
                "youtube"               => "YouTube",
                "vimeo"                 => "Vimeo",
                "linkedin"              => "LinkedIn",
                "pinterest"             => "Pinterest",
                "digg"                  => "Digg",
                "myspace"               => "MySpace",
                "picasa"                => "Picasa",
                "flickr"                => "flickr",
                "dribbble"              => "Dribbble",
                "blogger"               => "Blogger",
            ),
            "enabled" => array(
                "placebo" => "placebo", //REQUIRED!
                "twitter"               => "Twitter",
                "facebook"              => "Facebook",
                "rss"                   => "RSS Feed",
                "feedback"              => "Feedback Form",
            ),
        );



        //Background Images Reader
        $bg_images_path = STYLESHEETPATH . '/images/bg/'; // change this to where you store your bg images
        $bg_images_url = get_bloginfo('template_url') . '/images/bg/'; // change this to where you store your bg images
        $bg_images = array();

        if (is_dir($bg_images_path)) {
            if ($bg_images_dir = opendir($bg_images_path)) {
                while (($bg_images_file = readdir($bg_images_dir)) !== false) {
                    if (stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
                        $bg_images[] = $bg_images_url . $bg_images_file;
                    }
                }
            }
        }


        /*-----------------------------------------------------------------------------------*/
        /* TO DO: Add options/functions that use these */
        /*-----------------------------------------------------------------------------------*/

        //More Options
        $uploads_arr = wp_upload_dir();
        $all_uploads_path = $uploads_arr['path'];
        $all_uploads = get_option('of_uploads');
        $other_entries = array("Select a number:", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19");
        $body_repeat = array("no-repeat", "repeat-x", "repeat-y", "repeat");
        $body_pos = array("top left", "top center", "top right", "center left", "center center", "center right", "bottom left", "bottom center", "bottom right");

        // Image Alignment radio box
        $of_options_thumb_align = array("alignleft" => "Left", "alignright" => "Right", "aligncenter" => "Center");

        // Image Links to Options
        $of_options_image_link_to = array("image" => "The Image", "post" => "The Post");

        /*-----------------------------------------------------------------------------------*/
        /* The Options Array */
        /*-----------------------------------------------------------------------------------*/

// Set the Options Array
        global $of_options;
        $of_options = array();

        do_action("justlanded_options_top");

        /* --------------- The Home Screen */
        $of_options[] = array("name" => "Home",
            "type" => "heading");

        $of_options[] = array("name" => "Hello there!",
            "desc" => "",
            "id" => "introduction_home",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Welcome to JustLanded - a landing page that simply works.</h3>We've done everything to make this options panel as painless and easy to use as possible. However, if there is anything you need help with, please just let us know: <a href=\"mailto:info@shapingrain.com\">info@shapingrain.com</a>. We are also grateful for any bug reports and feature requests.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_home");

        $of_options[] = array("name" => "News",
            "desc" => "",
            "id" => "news",
            "std" => "",
            "icon" => true,
            "type" => "news");

        do_action("justlanded_options_after_home");


        /* ----------- Backup Options ---- */
        $of_options[] = array("name" => "Backup and Import",
            "type" => "subheading");

        do_action("justlanded_options_before_backup");

        $of_options[] = array("name" => "Backup and Restore Profile Options",
            "id" => "of_backup",
            "std" => "",
            "type" => "backup",
            "desc" => 'You can use this option to backup your current options, and then restore them at a later time.',
        );

        $of_options[] = array("name" => "Import Demo Data",
            "id" => "of_demo",
            "std" => "",
            "type" => "demo",
            "desc" => 'You can use this option to import demo data. This will overwrite your settings for all profiles. If you would like to replicate the demo site, you will also have to import the WordPress export XML file that ships with JustLanded for WordPress. Please refer to the user manual for instructions.',
        );


        $of_options[] = array("name" => "Transfer Your Settings",
            "id" => "of_transfer",
            "std" => "",
            "type" => "transfer",
            "desc" => 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".',
        );

        do_action("justlanded_options_after_backup");

        /* --------------- Profiles ------- */
        $of_options[] = array("name" => "Profiles",
            "type" => "subheading");

        do_action("justlanded_options_before_profiles");

        $of_options[] = array("name" => "Site Default Profile",
            "desc" => "This profile will be used as a default throughout the site.",
            "descposition" => "heading",
            "id" => "site_default_profile",
            "std" => "1",
            "global" => true,
            "type" => "profile");

        $of_options[] = array("name" => "Profile Allocation Cheat Sheet",
            "desc" => "Quickly identify which profile is used where.",
            "descposition" => "heading",
            "id" => "profile_allocation",
            "type" => "profile_allocation");


        do_action("justlanded_options_after_profiles");


        /* --------------- Help & Support */
        $of_options[] = array("name" => "Help and Support",
            "type" => "subheading");

        $of_options[] = array("name" => "Get Support",
            "desc" => "",
            "id" => "introduction_support",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Get Free Premium Support</h3><p>With all our products we provide free premium support. Get in touch with support via email: support@shapingrain.com</p><p>Please note that we <strong>do not</strong> provide customer support through the themeforest comments section to ensure that you are receiving the fastest and best possible assistance.</p>",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_faq");

        $of_options[] = array("name" => "Frequently Asked Questions",
            "desc" => "",
            "id" => "faq",
            "std" => "",
            "icon" => true,
            "type" => "faq");

        do_action("justlanded_options_after_faq");


        /* --------------- Global Settings */
        $of_options[] = array("name" => "General Settings",
            "type" => "heading");

        $of_options[] = array("name" => "General Settings",
            "desc" => "",
            "id" => "introduction_global",
            "std" => "<h3 style=\"margin: 0 0 10px;\">General Settings</h3>Settings you make here affect the overall layout and design. They may also enable or disable site features globally.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_general");

        $of_options[] = array("name" => "Site Header and Menu",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Show site menu on landing page?",
            "desc" => "Check this if you would like to show the menu bar on the landing page. This setting has no effect on regular blog pages.",
            "id" => "landing_page_menu",
            "std" => 1,
            "type" => "checkbox");

        $of_options[] = array("name" => "Custom Logo",
            "desc" => "TH EME   SH A R ED    ON   W P LOCK ER.C OM - Upload an image to replace the default logo. (Default: 35 x 40px)",
            "id" => "custom_logo",
            "std" => "",
            "type" => "upload");

        $of_options[] = array("name" => "Custom Link URL for logo and/or page title",
            "desc" => "If this is left empty, the site's home URL will be used.",
            "id" => "custom_home_url",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Hide page title and tagline?",
            "desc" => "Check this if you would like to hide the page title and the tag line. Use this if you'd like a logo-only header.",
            "id" => "hide_page_title",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Custom Favicon",
            "desc" => "Upload a 16px x 16px PNG/GIF image that will represent your website's favicon.",
            "id" => "custom_favicon",
            "std" => "",
            "type" => "upload");

        $of_options[] = array("name" => "Blog and Archive",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Blog/Index Page Title",
            "desc" => "This is the headline used for your blog's index page. This is used for the blog archive page that displays your blog posts.",
            "id" => "blog_title",
            "std" => "Blog",
            "type" => "text");

        $of_options[] = array("name" => "Always show full post?",
            "desc" => "Check this box if you would like to display full posts instead of excerpts on post index pages.",
            "id" => "show_full_posts",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Hide Post Meta Info?",
            "desc" => "Check this box if you would like to hide meta information from index and single post views.",
            "id" => "hide_post_meta",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Hide Post Author Info?",
            "desc" => "Check this box if you would like to hide post author information from index and single post views.",
            "id" => "hide_post_author",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Hide Featured Images?",
            "desc" => "Check this box if you would like to hide featured images from index and single post views.",
            "id" => "hide_post_featured_image",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Site Footer",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Copyright Notice",
            "desc" => "This will be shown underneath the footer navigation.",
            "id" => "custom_footer_copyright",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Header Section",
            "desc" => "",
            "id" => "introduction_contact_block",
            "std" => "",
            "type" => "subheading");

        $of_options[] = array("name" => "Header Contact Information",
            "desc" => "Enter either phone number or email address.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Phone/Email label",
            "desc" => "This is the label shown next to your email address or phone number. If neither a phone number nor an email address are present, this label will be hidden as well.",
            "id" => "header_info_label",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Phone number",
            "desc" => "Please enter a phone number to be displayed on top, above the banner.",
            "id" => "header_phone",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Email address",
            "desc" => "Please enter an email address to be displayed on top, above the banner.",
            "id" => "header_email",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Custom Header",
            "desc" => "Replace the header section (above the banner) with own content.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Free Form Content",
            "id" => "header_freeform",
            "desc" => "Can contain HTML, shortcodes allowed.",
            "descposition" => "heading",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Use Page Content",
            "desc" => "Retrieve and display contents from this page instead. When selected, the contents from the Free Form Content text box will be ignored.",
            "id" => "header_freeform_page",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);


        $of_options[] = array("name" => "Custom Codes",
            "desc" => "",
            "id" => "introduction_custom_code",
            "std" => "",
            "type" => "subheading");

        $of_options[] = array("name" => "Profile ".ACTIVEPROFILE.": Custom Styles and Scripts",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Custom CSS",
            "desc" => "This code will be loaded after the theme's default stylesheet.",
            "id" => "custom_css",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Custom Header Scripts",
            "desc" => "Paste tracking codes or custom blocks of JavaScript code here. This will be injected into the HTML header.",
            "id" => "custom_header",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Custom Footer Scripts",
            "desc" => "Paste tracking codes or custom blocks of JavaScript code here. This will be injected just before the end of the HTML body.",
            "id" => "custom_footer",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Global: Custom Styles and Scripts",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Custom CSS",
            "desc" => "This code will be loaded after the theme's default stylesheet, and before the profile's Custom CSS.",
            "id" => "global_custom_css",
            "std" => "",
            "type" => "textarea",
            "global" => true);

        $of_options[] = array("name" => "Custom Header Scripts",
            "desc" => "Paste tracking codes or custom blocks of JavaScript code here. This will be injected into the HTML header, on every page.",
            "id" => "global_custom_header",
            "std" => "",
            "type" => "textarea",
            "global" => true);


        $of_options[] = array("name" => "Custom Footer Scripts",
            "desc" => "Paste tracking codes or custom blocks of JavaScript code here. This will be injected just before the end of the HTML body, on every.",
            "id" => "global_custom_footer",
            "std" => "",
            "type" => "textarea",
            "global" => true);


        do_action("justlanded_options_after_general");


        /* --------------- Typography and Colors */
        $of_options[] = array("name" => "Fonts and Colors",
            "redirect" => true,
            "type" => "heading");

        $of_options[] = array("name" => "Presets",
            "type" => "subheading");

        $of_options[] = array("name" => "Presets Into",
            "desc" => "",
            "id" => "introduction_typography",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Presets</h3>Presets contain font and color sections. Importing a preset is the fastest way of customizing JustLanded to your liking. You can use any preset as-is, or as a starting point for your own creations. Keep in mind though that whenever you import a preset, customized font and color selections in the current profile will be overwritten.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_presets");

        $of_options[] = array("name" => "Import a preset",
            "id" => "preset_colors",
            "folder" => "colors",
            "desc" => "Click on a preset to import its settings.",
            "descposition" => "heading",
            "type" => "preset");

        do_action("justlanded_options_after_presets");

        $of_options[] = array("name" => "Colors",
            "id" => "colors_section",
            "type" => "subheading");

        $of_options[] = array("name" => "General Colors",
            "type" => "sectionheader");

        do_action("justlanded_options_before_colors_general");

        $of_options[] = array("name" => "Body Background Color",
            "desc" => "Pick a background color for the theme.",
            "id" => "body_background",
            "std" => "#ffffff",
            "type" => "color");

        $of_options[] = array("name" => "Menu Background",
            "desc" => "This is the background color for the active menu item.",
            "id" => "menu_background_active",
            "std" => "#dd4531",
            "type" => "color");

        $of_options[] = array("name" => "Link Color",
            "desc" => "This is the color used for all links.",
            "id" => "link_color",
            "std" => "#d12727",
            "type" => "color");

        $of_options[] = array("name" => "Link Hover Color",
            "desc" => "This is the color used for the hover state of all links.",
            "id" => "link_color_hover",
            "std" => "#c03220",
            "type" => "color");

        $of_options[] = array("name" => "Blog Buttons Color",
            "desc" => "This is used for submit buttons on blog pages.",
            "id" => "blog_button_background",
            "std" => "#d12727",
            "type" => "color");

        do_action("justlanded_options_after_colors_general");

        $of_options[] = array("name" => "Landing Page Colors",
            "type" => "sectionheader");

        do_action("justlanded_options_before_colors_landing");

        $of_options[] = array("name" => "Banner Gradient",
            "desc" => "This is the gradient used for the banner.",
            "id" => "banner_gradient",
            "std" => array('start' => '#cf5833', 'end' => '#ab2210'),
            "type" => "gradient");

        $of_options[] = array("name" => "Newsletter Background",
            "desc" => "This is the background color for the newsletter/mailing list section.",
            "id" => "newsletter_background",
            "std" => "#dd4531",
            "type" => "color");

        $of_options[] = array("name" => "Pricing Table Highlight",
            "desc" => "This is the background color for the highlighted pricing table items.",
            "id" => "pricing_highlight_background",
            "std" => "#dd4632",
            "type" => "color");

        $of_options[] = array("name" => "Pricing Table Highlight (Hover State)",
            "desc" => "This is the background color for the highlighted pricing table items, in its hover state.",
            "id" => "pricing_highlight_hover_background",
            "std" => "#c03220",
            "type" => "color");

        do_action("justlanded_options_after_colors_landing");

        /************* General Fonts ********************************************************/
        $of_options[] = array("name" => "General Fonts",
            "id" => "fonts_section",
            "type" => "subheading");

        $of_options[] = array("name" => "General Fonts",
            "desc" => "Fonts used throughout the site.",
            "descposition" => "heading",
            "type" => "sectionheader");

        do_action("justlanded_options_before_fonts_general");

        $of_options[] = array("name" => "Body Font",
            "desc" => "This font is used for general content.",
            "descposition" => "heading",
            "id" => "font_body",
            "std" => array('size' => '0.8', 'unit' => 'em', 'face' => 'Verdana*', 'style' => 'regular', 'color' => '#333333'),
            "type" => "typography");

        $of_options[] = array("name" => "Logo Font",
            "desc" => "This font is used only for the logo.",
            "descposition" => "heading",
            "id" => "font_logo",
            "std" => array('size' => '1.5', 'unit' => 'em', 'face' => 'Lato', 'style' => '900', 'color' => '#dd4531', 'subset' => array('latin' => 1)),
            "type" => "typography");

        $of_options[] = array("name" => "Tagline Font",
            "desc" => "This font is used only for the tagline, next to the logo.",
            "descposition" => "heading",
            "id" => "font_logo_tagline",
            "std" => array('size' => '1.25', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#999999', 'subset' => array('latin' => 1)),
            "type" => "typography");

        $of_options[] = array("name" => "Quotes",
            "desc" => "This font is used for quotes on your blog and all Page Content blocks on the landing page.",
            "descposition" => "heading",
            "id" => "font_quotes",
            "std" => array('size' => '1', 'unit' => 'em', 'face' => 'Verdana*', 'style' => 'italic', 'color' => '#000000'),
            "type" => "typography");

        do_action("justlanded_options_after_fonts_general");

        /******************* Landing Page Fonts ***********************************************/
        $of_options[] = array("name" => "Landing Page Fonts",
            "id" => "fonts_section_blog",
            "type" => "subheading");

        $of_options[] = array("name" => "Landing Page Fonts",
            "desc" => "These fonts are only used on the landing page.",
            "descposition" => "heading",
            "type" => "sectionheader");

        do_action("justlanded_options_before_fonts_landing");

        $of_options[] = array("name" => "Banner Heading",
            "desc" => "This is the main heading used for the banner.",
            "descposition" => "heading",
            "id" => "font_heading_banner",
            "std" => array('size' => '3', 'unit' => 'em', 'face' => 'Merriweather', 'style' => '700', 'color' => '#ffffff'),
            "type" => "typography");

        $of_options[] = array("name" => "Section Title",
            "desc" => "This is the font used for a section's main title.",
            "descposition" => "heading",
            "id" => "font_section_title",
            "std" => array('size' => '2.2', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#dd4632'),
            "type" => "typography");

        $of_options[] = array("name" => "Section Subtitle",
            "desc" => "This is the font used for a section's subtitle.",
            "descposition" => "heading",
            "id" => "font_section_subtitle",
            "std" => array('size' => '1.45', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#999999'),
            "type" => "typography");

        $of_options[] = array("name" => "Newsletter Sign-Up Form Title",
            "desc" => "This is the newsletter form's caption.",
            "descposition" => "heading",
            "id" => "font_newsletter_title",
            "std" => array('size' => '1.8', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#ffffff'),
            "type" => "typography");

        $of_options[] = array("name" => "Big Testimonial",
            "desc" => "This is the font used for the big testimonial.",
            "descposition" => "heading",
            "id" => "font_big_testimonial",
            "std" => array('size' => '1.4', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        /* pricing table */
        $of_options[] = array("name" => "Pricing Table Package Title",
            "desc" => "This is the font used for a package's title.",
            "descposition" => "heading",
            "id" => "font_pricing_title",
            "std" => array('size' => '2', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#ffffff'),
            "type" => "typography");

        $of_options[] = array("name" => "Pricing Table Package Subtitle",
            "desc" => "This is the font used for a package's subtitle.",
            "descposition" => "heading",
            "id" => "font_pricing_sub_title",
            "std" => array('size' => '1.05', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#cccccc'),
            "type" => "typography");

        $of_options[] = array("name" => "Pricing Table Package Subtitle (Featured)",
            "desc" => "This is color used for a featured item's subtitle.",
            "descposition" => "heading",
            "id" => "font_pricing_sub_title_featured",
            "std" => '#f7c9c9',
            "type" => "color");

        $of_options[] = array("name" => "Pricing Table Price",
            "desc" => "This is font used for the price and the currency symbol.",
            "descposition" => "heading",
            "id" => "font_pricing_price",
            "std" => array('size' => '3.81', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#ffffff'),
            "type" => "typography");

        $of_options[] = array("name" => "Pricing Table Currency Symbol",
            "desc" => "This is currency symbol's size.",
            "descposition" => "heading",
            "id" => "font_pricing_currency",
            "std" => array('size' => '0.5', 'unit' => 'em'),
            "type" => "typography");

        do_action("justlanded_options_after_fonts_landing");

        /******************* Blog Fonts *******************************************************/
        $of_options[] = array("name" => "Blog Fonts",
            "id" => "fonts_section_blog",
            "type" => "subheading");

        $of_options[] = array("name" => "Blog Fonts",
            "desc" => "These fonts are only used for blog posts and on WordPress pages.",
            "descposition" => "heading",
            "type" => "sectionheader");

        do_action("justlanded_options_before_fonts_blog");

        $of_options[] = array("name" => "Heading H1",
            "desc" => "This is the H1 font.",
            "descposition" => "heading",
            "id" => "font_heading_h1",
            "std" => array('size' => '2.35', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Heading H2",
            "desc" => "This is the H2 font.",
            "descposition" => "heading",
            "id" => "font_heading_h2",
            "std" => array('size' => '2', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Heading H3",
            "desc" => "This is the H3 font.",
            "descposition" => "heading",
            "id" => "font_heading_h3",
            "std" => array('size' => '1.6', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Heading H4",
            "desc" => "This is the H4 font.",
            "descposition" => "heading",
            "id" => "font_heading_h4",
            "std" => array('size' => '1.2', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Heading H5",
            "desc" => "This is the H5 font.",
            "descposition" => "heading",
            "id" => "font_heading_h5",
            "std" => array('size' => '1.125', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Heading H6",
            "desc" => "This is the H6 font.",
            "descposition" => "heading",
            "id" => "font_heading_h6",
            "std" => array('size' => '1', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Single Page Title",
            "desc" => "This font is used for page titles.",
            "descposition" => "heading",
            "id" => "font_page_title",
            "std" => array('size' => '1.8', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#000000'),
            "type" => "typography");

        $of_options[] = array("name" => "Widget Title",
            "desc" => "This font is used for widget titles throughout your blog.",
            "descposition" => "heading",
            "id" => "font_widget_title",
            "std" => array('size' => '1.25', 'unit' => 'em', 'face' => 'Merriweather', 'style' => 'regular', 'color' => '#333333'),
            "type" => "typography");

        $of_options[] = array("name" => "Post Meta",
            "desc" => "This font is used for meta information, such as the post date and time and the list of categories.",
            "descposition" => "heading",
            "id" => "font_post_meta",
            "std" => array('size' => '12', 'unit' => 'px', 'face' => 'Verdana*', 'style' => 'regular', 'color' => '#999999'),
            "type" => "typography");

        do_action("justlanded_options_after_fonts_blog");


        /************************** Advanced Options, Export *********************************/
        $of_options[] = array("name" => "Advanced Options",
            "id" => "advanced_section",
            "type" => "subheading");

        do_action("justlanded_options_before_advanced");

        $of_options[] = array("name" => "Fonts and Colors Export",
            "desc" => "Use this option to import and export font and color settings only.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Import or Export Fonts and Colors",
            "desc" => "Copy and paste this into a profile's import dialog to import fonts and colors only.",
            "id" => "extract_typography",
            "fields" => "body_background,link_color,link_color_hover,menu_background_active,banner_gradient,newsletter_background,pricing_highlight_background,pricing_highlight_hover_background,blog_button_background,font_body,font_logo,font_logo_tagline,font_quotes,font_heading_h1,font_heading_h2,font_heading_h3,font_heading_h4,font_heading_h5,font_heading_h6,font_page_title,font_widget_title,font_post_meta,font_heading_banner,font_section_title,font_section_subtitle,font_newsletter_title,font_big_testimonial,font_pricing_title,font_pricing_sub_title,font_pricing_sub_title_featured,font_pricing_price,font_pricing_currency",
            "type" => "extractoptions");

        do_action("justlanded_options_after_advanced");

        /* --------------- The Landing Page */
        $of_options[] = array("name" => "Landing Layout",
            "type" => "heading");

        $of_options[] = array("name" => "Landing Page Layout",
            "desc" => "",
            "id" => "introduction_landing",
            "std" => "<h3 style=\"margin: 0 0 10px;\">The Landing Page</h3>This panel contains the layout settings for the integrated landing page. This module allows you create a landing page using building blocks of pre-defined elements. Some of these blocks can also be added to any WordPress page through shortcodes.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_layout");

        $of_options[] = array("name" => "Landing Page Layout",
            "desc" => "Organize how you want the layout to appear on the homepage",
            "id" => "landingpage_blocks",
            "std" => $of_options_homepage_blocks,
            "type" => "sorter");

        do_action("justlanded_options_after_layout");

        /* --------------- The Banner */
        $of_options[] = array("name" => "Banner",
            "type" => "heading");

        $of_options[] = array("name" => "Banner Options",
            "desc" => "",
            "id" => "introduction_banner",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Banner &amp; Slider</h3>This panel contains settings for the banner, the most prominent part of your landing page and the first item a visitor sees.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_banner");

        $url = ADMIN_DIR . 'assets/images/';
        $banner_select_layout = array(
            'right'  => $url . 'media_right.png',
            'left' => $url . 'media_left.png',
            'full' => $url . 'media_full.png');

        do_action("justlanded_options_after_banner_layout_array");

        $of_options[] = array("name" => "Select Banner Layout",
            "desc" => "Select where you would like to place media and text content. The full size option allows for a freestyle banner defined through blocks",
            "id" => "banner_position",
            "std" => "right",
            "type" => "images",
            "options" => $banner_select_layout
        );

        $of_options[] = array("name" => "Hide banner?",
            "desc" => "If you check this box, the entire banner section will not be displayed.",
            "id" => "hide_banner",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Text Content",
            "type" => "subheading");

        $of_options[] = array("name" => "Text Content",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Banner Title",
            "desc" => "This is the main headline.",
            "id" => "banner_title",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Banner Text",
            "desc" => "This is the main text above the bullet points. Use this paragraph to introduce your product. This is the first line below the headline, so every word counts.",
            "id" => "banner_text",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Banner Bullet Points",
            "desc" => "Enter bullet point items here, one per line. Don't make things too complicated: list the most important benefits!",
            "id" => "banner_bullets",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Call To Action",
            "type" => "subheading");

        $of_options[] = array("name" => "Call To Action Options",
            "type" => "sectionheader");


        $of_options[] = array("name" => "Hide action buttons in banner?",
            "desc" => "If you check this box, the banner's action buttons will be hidden.",
            "id" => "banner_action_buttons",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Show newsletter sign-up form when action buttons are hidden?",
            "desc" => "If you check this box, a newsletter sign-up form using the 'Newsletter' tab settings will replace the action buttons when those are hidden.",
            "id" => "banner_action_form",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Media Content",
            "type" => "subheading");

        $of_options[] = array("name" => "Media Content",
            "type" => "sectionheader");

        $banner_media_options = array('Single Image', 'Slider', 'Video', 'Free Form Content');
        do_action("justlanded_options_after_banner_media_array");

        $of_options[] = array("name" => "Select Media Content",
            "desc" => "What element would you like to display as part of the banner's media section?",
            "id" => "banner_layout_select",
            "std" => "Slider",
            "type" => "select",
            "options" => $banner_media_options);

        $of_options[] = array("name" => "Single Image",
            "desc" => "A simple image.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Single Image",
            "desc" => "If you prefer a static image instead of the slider, upload the image here.",
            "id" => "banner_image",
            "std" => "",
            "type" => "media");

        $of_options[] = array("name" => "Image Slider",
            "desc" => "A simple slideshow.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Slides",
            "desc" => "Add, remove or sort slides (images) you would like the slider to show.",
            "id" => "banner_slider",
            "std" => "",
            "has_image" => true,
            "has_description" => false,
            "itemtype" => "Slide",
            "type" => "slider");

        $banner_media_slider_animations = array('fade', 'slide');
        do_action("justlanded_options_after_banner_slider_animation_array");
        $of_options[] = array("name" => "Select Slider Animation Type",
            "desc" => "Select the slider's animation type.",
            "id" => "banner_slider_animation_type",
            "std" => "fade",
            "type" => "select",
            "options" => $banner_media_slider_animations);

        $of_options[] = array("name" => "Slider Slideshow Speed",
            "desc" => "Set the speed of the slideshow cycling, in milliseconds.",
            "id" => "banner_slider_slideshow_speed",
            "std" => "7000",
            "type" => "text");

        $of_options[] = array("name" => "Slider Animation Speed",
            "desc" => "Set the speed of animations, in milliseconds.",
            "id" => "banner_slider_animation_speed",
            "std" => "600",
            "type" => "text");

        $of_options[] = array("name" => "Show slides in random order?",
            "desc" => "Select whether you would like the slider to show slides in a random order.",
            "id" => "banner_slider_random",
            "std" => "false",
            "type" => "select",
            "options" => array("true", "false"));

        $of_options[] = array("name" => "Show slider arrow navigation?",
            "desc" => "Select whether you would to display arrow controls to navigate through slides.",
            "id" => "banner_slider_controls",
            "std" => "true",
            "type" => "select",
            "options" => array("true", "false"));


        $of_options[] = array("name" => "Video and Free Form Media Content",
            "desc" => "Video clip and other embedded content.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Video",
            //"desc" => "Paste your video integration code here. It may be called 'Embed code' and is usually available through a 'Share' or 'Embed' button.<br /><a href=\"http://support.google.com/youtube/bin/answer.py?hl=en&answer=171780\" target=\"_blank\">How to embed a YouTube video</a><br /><a href=\"http://vimeo.com/help/faq/embedding\" target=\"_blank\">How to embed a Vimeo video</a>",
            "desc" => "Paste your video link here. You only need the plain link, WordPress will do the rest.",
            "id" => "banner_video",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Free Form Media Content",
            "desc" => "Paste any HTML here. This field will be parsed for shortcodes as well. You may also use this field for more exotic video providers not supported by oEmbed. ",
            "id" => "banner_free_media",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Full Width Banner",
            "type" => "subheading");

        $of_options[] = array("name" => "Full Width Banner Content",
            "type" => "sectionheader",
            "desc" => "Full width banner, replaces media and text sections.",
            "descposition" => "heading",
        );

        do_action("justlanded_options_after_full_width_banner_section_header");

        $of_options[] = array("name" => "Free Form Content",
            "id" => "banner_full",
            "desc" => "Can contain HTML, shortcodes allowed.",
            "descposition" => "heading",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Use Page Content",
            "desc" => "Retrieve and display contents from this page instead. When selected, the contents from the Free Form Content text box will be ignored.",
            "id" => "banner_full_page",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);


        do_action("justlanded_options_after_banner");


        /* --------------- Action Butttons */
        $of_options[] = array("name" => "Action Buttons",
            "type" => "heading");

        $of_options[] = array("name" => "Action Buttons",
            "desc" => "",
            "id" => "introduction_buttons",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Action Buttons</h3>This set of buttons (or the first button only, depending on your selection) are used twice, as part of the header/banner, and optionally within a separate block intended to lead your prospects to a buying action. The latter is recommended for use at the bottom of the landing page.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_cta");

        $banner_button_options = array('Two Buttons/Split-Button', 'Single Large Button');
        do_action("justlanded_options_after_banner_button_array");

        $of_options[] = array("name" => "Button Style",
            "desc" => "You have the choice between two buttons (a split-button), or a single large button. You could use the second button to link to a contact form, or a live demo.",
            "id" => "action_buttons_layout",
            "std" => "Two Buttons/Split-Button",
            "type" => "select",
            "options" => $banner_button_options);

        do_action("justlanded_options_after_banner_button_style");

        $of_options[] = array("name" => "First Button",
            "type" => "sectionheader");

        $of_options[] = array("name" => "First Button Link Text",
            "desc" => "If you choose to display just one button, this will be the text shown on that button. When using the split-button, this will be the text shown on the first button.",
            "id" => "action_button1_text",
            "std" => "Buy for $10",
            "type" => "text");

        $of_options[] = array("name" => "First Button Link URL",
            "desc" => "If you choose to display just one button, this will be the link that this button points to. When using the split-button, this will be the link target for the first button.",
            "id" => "action_button1_link",
            "std" => "#",
            "type" => "text");

        $link_target_options = array('Current Window', 'New Window');
        $of_options[] = array("name" => "First Button Link Target",
            "desc" => "Choose whether this link should open in a new window.",
            "id" => "action_button1_target",
            "std" => "Current Window",
            "options" => $link_target_options,
            "type" => "select");

        $of_options[] = array("name" => "First Button OnClick attribute",
            "desc" => "This option adds an OnClick attribute to the link. This option may be useful for some tracking services.",
            "id" => "action_button1_onclick",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Second Button",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Second Button Link Text",
            "desc" => "This text will be shown on the second button. If the one-button layout is selected, this button will be hidden.",
            "id" => "action_button2_text",
            "std" => "Try our demo",
            "type" => "text");

        $of_options[] = array("name" => "Second Button Link URL",
            "desc" => "This is where the second button will link to. Your second action button could link to a product demonstration or a contact form.",
            "id" => "action_button2_link",
            "std" => "#",
            "type" => "text");

        $link_target_options = array('Current Window', 'New Window');
        $of_options[] = array("name" => "Second Button Link Target",
            "desc" => "Choose whether this link should open in a new window.",
            "id" => "action_button2_target",
            "std" => "Current Window",
            "options" => $link_target_options,
            "type" => "select");

        $of_options[] = array("name" => "Second Button OnClick attribute",
            "desc" => "This option adds an OnClick attribute to the link. This option may be useful for some tracking services.",
            "id" => "action_button2_onclick",
            "std" => "",
            "type" => "text");

        do_action("justlanded_options_after_cta");

        /* --------------- Social Icons */
        $of_options[] = array("name" => "Social Icons",
            "type" => "heading");

        $of_options[] = array("name" => "Social Icons",
            "desc" => "",
            "id" => "introduction_social",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Social Icons</h3>In this section you can choose which social icons to show, and in what order. While it is a good idea to provide your visitors with a variety of options to contact and connect with you, be aware that less is often more. Display the most important links relevant to your site and leave out the rest.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_social");

        $of_options[] = array("name" => "Enable or Disable Social Icons",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Header Social Icons",
            "desc" => "These icons will be shown in your header. You should only add the most important icons here as space is limited. These icons will be hidden from view for mobile devices.",
            "id" => "social_blocks_header",
            "std" => $of_options_social_blocks,
            "type" => "sorter");

        $of_options[] = array("name" => "Sidebar Social Icons",
            "desc" => "These icons will be displayed on the right, as a static social icons bar. On mobile devices, these icons will be located in the footer section.",
            "id" => "social_blocks_sidebar",
            "std" => $of_options_social_blocks,
            "type" => "sorter");

        $of_options[] = array("name" => "Social Icon URLs",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Twitter URL",
            "desc" => "This is your Twitter URL, e.g. http://www.twitter.com/myusername.",
            "id" => "social_twitter",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Facebook URL",
            "desc" => "This is your Facebook profile URL",
            "id" => "social_facebook",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "StumbleUpon URL",
            "desc" => "This is your StumbleUp profile URL.",
            "id" => "social_stumbleupon",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "YouTube URL",
            "desc" => "This is your YouTube profile URL.",
            "id" => "social_youtube",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Vimeo URL",
            "desc" => "This is your Vimeo profile URL.",
            "id" => "social_vimeo",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "LinkedIn URL",
            "desc" => "This is your LinkedIn profile URL.",
            "id" => "social_linkedin",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Pinterest URL",
            "desc" => "This is your Pinterest profile URL.",
            "id" => "social_pinterest",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Digg URL",
            "desc" => "This is your Digg profile URL.",
            "id" => "social_digg",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "MySpace URL",
            "desc" => "This is your MySpace profile URL.",
            "id" => "social_myspace",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Picasa URL",
            "desc" => "This is your Picasa profile URL.",
            "id" => "social_picasa",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "flickr URL",
            "desc" => "This is your flickr profile URL.",
            "id" => "social_flickr",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Dribbble URL",
            "desc" => "This is your Dribbble profile URL.",
            "id" => "social_dribbble",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Blogger URL",
            "desc" => "This is your Blogger profile URL.",
            "id" => "social_blogger",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "RSS URL",
            "desc" => "This is your RSS Feed's URL.",
            "id" => "social_rss",
            "std" => "#",
            "type" => "text");

        $of_options[] = array("name" => "Contact/Feedback Form URL",
            "desc" => "This is your Contac/Feedback Form URL.",
            "id" => "social_feedback",
            "std" => "#",
            "type" => "text");

        do_action("justlanded_options_after_social");

        /* --------------- List of Features */
        $of_options[] = array("name" => "Feature List",
            "type" => "heading");

        $of_options[] = array("name" => "Feature List",
            "desc" => "",
            "id" => "introduction_features",
            "std" => "<h3 style=\"margin: 0 0 10px;\">List of Features</h3>This is list of product features meant to highlight what your product is all about. It works well when used used just underneath the banner.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_features");

        $of_options[] = array("name" => "Headline",
            "desc" => "This is the headline placed above the list of features.",
            "id" => "features_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Sub Headline",
            "desc" => "This is the sub headline placed above the list of features.",
            "id" => "features_sub_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Feature Items",
            "desc" => "A list of product features. Each feature has a headline, an icon or other image, and a short description.",
            "id" => "features",
            "std" => "",
            "itemtype" => "Feature",
            "has_link" => true,
            "has_image" => true,
            "type" => "slider");

        do_action("justlanded_options_after_features");


        /* --------------- Gallery */
        $of_options[] = array("name" => "Gallery",
            "type" => "heading");

        $of_options[] = array("name" => "Gallery",
            "desc" => "",
            "id" => "introduction_gallery",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Gallery</h3>This gallery can be used for product shots/screenshots. The built-in gallery comes with a leightweight and elegant lightbox to display larger versions of the uploaded images.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_gallery");

        $of_options[] = array("name" => "Headline",
            "desc" => "This is the headline placed above the gallery section.",
            "id" => "gallery_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Sub Headline",
            "desc" => "This is the sub headline placed above the gallery section.",
            "id" => "gallery_sub_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Gallery Items",
            "desc" => "Pictures to be featured in a thumbnail gallery with lightbox.",
            "id" => "gallery",
            "std" => "",
            "itemtype" => "Picture",
            "has_image" => true,
            "has_link" => false,
            "type" => "slider");

        do_action("justlanded_options_after_gallery");

        /* --------------- Testimonials */
        $of_options[] = array("name" => "Testimonials",
            "redirect" => true,
            "type" => "heading");

        do_action("justlanded_options_before_testimonials");

        $of_options[] = array("name" => "Featured Testimonial",
            "type" => "subheading");

        $of_options[] = array("name" => "Featured Testimonial",
            "desc" => "This is a single, big testimonial.",
            "descposition" => "heading",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Testimonial/Quote",
            "desc" => "This is the quote or testimonial to display.",
            "id" => "testimonial_quote",
            "std" => "",
            "type" => "textarea");

        $of_options[] = array("name" => "Name",
            "desc" => "Enter the name of the person you are quoting.",
            "id" => "testimonial_name",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Job Title/Company Name",
            "desc" => "Enter the title or company name here.",
            "id" => "testimonial_title",
            "std" => "",
            "type" => "text");

        do_action("justlanded_options_after_featured_testimonial");

        $of_options[] = array("name" => "Small Testimonials",
            "type" => "subheading");

        $of_options[] = array("name" => "Small Testimonials and Widget Content",
            "type" => "sectionheader");

        $of_options[] = array("name" => "Headline",
            "desc" => "This is the headline placed above the testimonials section.",
            "id" => "testimonials_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Sub Headline",
            "desc" => "This is the sub headline placed above the testimonials section.",
            "id" => "testimonials_sub_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Small Testimonials",
            "desc" => "A list of testimonials.",
            "id" => "testimonials",
            "std" => "",
            "itemtype" => "Testimonial",
            "has_title" => true,
            "has_title_testimonial" => true,
            "has_link" => false,
            "has_subtitle" => true,
            "has_subtitle_testimonial" => true,
            "has_image" => true,
            "has_price" => false,
            "type" => "slider");

        do_action("justlanded_options_after_testimonials");

        /* --------------- Newsletter Signup Form */
        $of_options[] = array("name" => "Newsletter",
            "type" => "heading");

        $of_options[] = array("name" => "Newsletter Integration",
            "desc" => "",
            "id" => "introduction_newsletter",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Newsletter Integration</h3>The built-in newsletter sign-up form requires a third-party mailing list service in order to work. We support the two major providers <a href=\"http://www.aweber.com/\" target=\"_blank\">AWeber</a> and <a href=\"http://www.mailchimp.com\" target=\"_blank\">Mailchimp</a>. However, it is possible to use just about any service with a few changes and some technical knowledge. Please <a href='mailto:support@shapingrain.com'>contact support</a> if you require assistance.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_newsletter");

        $of_options[] = array("name" => "Headline",
            "desc" => "This is the call to action headline placed within the newsletter sign-up form.",
            "id" => "newsletter_headline_1",
            "std" => "Join our newsletter for exclusive deals",
            "type" => "text");

        $of_options[] = array("name" => "Subscribe Button Text",
            "desc" => "This is the Subscribe button text.",
            "id" => "newsletter_button",
            "std" => "Subscribe",
            "type" => "text");

        $of_options[] = array("name" => "Email Text Field Placeholder",
            "desc" => "This will be shown if the email address field is empty.",
            "id" => "newsletter_placeholder",
            "std" => "Your email address",
            "type" => "text");

        $url = ADMIN_DIR . 'assets/images/';
        $newsletter_service_options = array(
            'aweber' => $url . 'newsletter_logo_aweber.png',
            'mailchimp' => $url . 'newsletter_logo_mailchimp.png',
            'custom' => $url . 'newsletter_logo_custom.png');
        do_action("justlanded_options_after_newsletter_service_array");

        $of_options[] = array("name" => "Select a Service",
            "desc" => "Select a mailing list service for integration.",
            "id" => "newsletter_select",
            "std" => "aweber",
            "type" => "images",
            "options" => $newsletter_service_options
        );

        $of_options[] = array("name" => "Show AWeber Settings",
            "desc" => "Check this to enter your AWeber settings.",
            "id" => "newsletter_group_aweber",
            "std" => 0,
            "folds" => 1,
            "type" => "checkbox");

        $of_options[] = array("name" => "AWeber Post URL",
            "desc" => "This is where your form will submit the data to.",
            "id" => "newsletter_aweber_url",
            "std" => "http://www.aweber.com/scripts/addlead.pl",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "AWeber form field 'meta_web_form_id'",
            "desc" => "meta_web_form_id form field.",
            "id" => "newsletter_aweber_meta_web_form_id",
            "std" => "",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "AWeber form field 'meta_split_id'",
            "desc" => "meta_split_id form field.",
            "id" => "newsletter_aweber_meta_split_id",
            "std" => "",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "AWeber form field 'listname'",
            "desc" => "listname form field.",
            "id" => "newsletter_aweber_listname",
            "std" => "",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "AWeber form field 'redirect'",
            "desc" => "redirect form field. Use this parameter in order to redirect to a customized confirmation page.",
            "id" => "newsletter_aweber_redirect",
            "std" => "",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "AWeber form field 'meta_adtracking'",
            "desc" => "meta_adtracking form field.",
            "id" => "newsletter_aweber_meta_adtracking",
            "std" => "My_Web_Form",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "AWeber form field 'meta_message'",
            "desc" => "meta_message form field.",
            "id" => "newsletter_aweber_meta_message",
            "std" => "1",
            "fold" => "newsletter_group_aweber", /* the checkbox hook */
            "type" => "text");

        do_action("justlanded_options_newsletter_after_aweber");

        $of_options[] = array("name" => "Show MailChimp Settings",
            "desc" => "Check this to enter your MailChimp settings.",
            "id" => "newsletter_group_mailchimp",
            "std" => 0,
            "folds" => 1,
            "type" => "checkbox");

        $of_options[] = array("name" => "MailChimp Post URL",
            "desc" => "This is where your form will submit the data to.",
            "id" => "newsletter_mailchimp_url",
            "std" => "http://sushisepeti.us6.list-manage.com/subscribe/post",
            "fold" => "newsletter_group_mailchimp", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "MailChimp form field 'u'",
            "desc" => "This is an encoded user ID.",
            "id" => "newsletter_mailchimp_u",
            "std" => "",
            "fold" => "newsletter_group_mailchimp", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "MailChimp form field 'id'",
            "desc" => "This is an encoded list ID.",
            "id" => "newsletter_mailchimp_id",
            "std" => "",
            "fold" => "newsletter_group_mailchimp", /* the checkbox hook */
            "type" => "text");

        $of_options[] = array("name" => "Show Other Service's/Custom Settings",
            "desc" => "Check this to enter your third party service/custom integration settings.",
            "id" => "newsletter_group_custom",
            "std" => 0,
            "folds" => 1,
            "type" => "checkbox");

        do_action("justlanded_options_after_mailchimp");

        $of_options[] = array("name" => "Other Service's/Custom Integration Code",
            "desc" => "When directed to do so by support, or if your intention is to embed an unsupported third party integration code, please paste your code into this field.",
            "id" => "newsletter_custom",
            "fold" => "newsletter_group_custom", /* the checkbox hook */
            "std" => "",
            "type" => "textarea");

        do_action("justlanded_options_after_newsletter");


        /* --------------- Pricing Table */
        $of_options[] = array("name" => "Pricing Table",
            "type" => "heading");

        $of_options[] = array("name" => "Pricing Table",
            "desc" => "",
            "id" => "introduction_pricing",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Pricing Table</h3>Use the pricing table section if you are selling a product in packages. You can add as many packages as you need and sort them via drag &amp; drop. They will appear on the landing page in the same order.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_pricing_table");

        $of_options[] = array("name" => "Headline",
            "desc" => "This is the headline placed above the pricing table.",
            "id" => "pricing_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Sub Headline",
            "desc" => "This is the sub headline placed above the pricing table, just underneath the main headline.",
            "id" => "pricing_sub_headline",
            "std" => "",
            "type" => "text");

        $of_options[] = array("name" => "Button Text",
            "desc" => "This is the text shown on the buy button. This should be a call to action.",
            "id" => "pricing_button_text",
            "std" => "Buy now",
            "type" => "text");

        $of_options[] = array("name" => "Currency Symbol",
            "desc" => "This is the currency symbol to be used.",
            "id" => "pricing_currency",
            "std" => "$",
            "type" => "text");

        $of_options[] = array("name" => "Packages",
            "desc" => "A list of packages with features and prices. Use the <strong><em>Description</em></strong> field to enter package features, one per line.",
            "id" => "pricing_packages",
            "std" => "",
            "itemtype" => "Package",
            "has_link" => true,
            "has_subtitle" => true,
            "has_image" => false,
            "has_price" => true,
            "has_badge" => true,
            "has_highlight" => true,
            "type" => "slider");

        do_action("justlanded_options_after_pricing_table");

        /* --------------- Payment Options */
        $of_options[] = array("name" => "Payment Options",
            "type" => "heading");

        $of_options[] = array("name" => "Payment Options",
            "desc" => "",
            "id" => "introduction_pricing",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Payment Options</h3>This is usually the last block of content. If your customer has not clicked the buy button yet, this is the last opportunity to convince him. Buying this product is easy - make sure your customers knows this.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_payment");

        $of_options[] = array("name" => "Headline",
            "desc" => "This is the headline placed above the Payment Options block.",
            "id" => "payment_headline",
            "std" => "Come on, it's time to buy our product...",
            "type" => "text");

        $of_options[] = array("name" => "Sub Headline",
            "desc" => "This is the sub headline placed above the Payment Options block.",
            "id" => "payment_sub_headline",
            "std" => "This is your final chance to convince a customer",
            "type" => "text");

        $of_options_payment = array("visa" => "Visa", "americanexpress" => "American Express", "mastercard" => "MasterCard", "paypal" => "PayPal", "ideal" => "iDeal");
        do_action("justlanded_options_after_payment_array");

        $of_options[] = array("name" => "Accepted Payment Methods",
            "desc" => "Check payment methods you accept. Their corresponding icons will be shown underneath the Payment Options block.",
            "id" => "payment_methods",
            "std" => array("visa", "master", "paypal"),
            "type" => "multicheck",
            "options" => $of_options_payment);

        do_action("justlanded_options_after_payment");

        /* --------------- Extra Page Content/Free Content */
        $of_options[] = array("name" => "Page Content",
            "type" => "heading");

        $of_options[] = array("name" => "Page Content",
            "desc" => "",
            "id" => "introduction_page_content",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Page Content</h3>This is the easiest way to add freeform content to your landing page. Simply create a regular WordPress page, add your content and set the page to retrieve the content from here. Make sure that the Page Content Blocks are enabled as well, otherwise they will not be displayed.",
            "icon" => true,
            "type" => "info");

        do_action("justlanded_options_before_content");

        /* Page Content 1 */
        $of_options[] = array("name" => "Page Content 1",
            "id" => "page_content_1_section",
            "type" => "sectionheader");

        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Page Content 1 - Section Layout",
            "desc" => "Select whether you want a single column or two columns in this section.",
            "id" => "page_content_1_layout",
            "std" => "fullwidth",
            "type" => "images",
            "options" => array(
                'fullwidth' => $url . 'page-layout-full.png',
                'split' => $url . 'page-layout-split.png')
        );

        $of_options[] = array("name" => "Page Content 1 - Show Page Title",
            "desc" => "Check this if you would like the actual page title to be displayed.",
            "id" => "page_content_1_showtitle",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Page Content 1 - Source 1",
            "desc" => "If the two-column layout is selected, this will be the first column. In full-width mode, this will be the only content shown.",
            "id" => "page_content_1_source1",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        $of_options[] = array("name" => "Page Content 1 - Source 2",
            "desc" => "If the two-column layout is selected, this will be the second column. In full-width mode, this will be hidden.",
            "id" => "page_content_1_source2",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);


        /* Page Content 2 */

        $of_options[] = array("name" => "Page Content 2",
            "id" => "page_content_2_section",
            "type" => "sectionheader");

        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Page Content 2 - Section Layout",
            "desc" => "Select whether you want a single column or two columns in this section.",
            "id" => "page_content_2_layout",
            "std" => "fullwidth",
            "type" => "images",
            "options" => array(
                'fullwidth' => $url . 'page-layout-full.png',
                'split' => $url . 'page-layout-split.png')

        );

        $of_options[] = array("name" => "Page Content 2 - Show Page Title",
            "desc" => "Check this if you would like the actual page title to be displayed.",
            "id" => "page_content_2_showtitle",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Page Content 2 - Source 1",
            "desc" => "If the two-column layout is selected, this will be the first column. In full-width mode, this will be the only content shown.",
            "id" => "page_content_2_source1",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        $of_options[] = array("name" => "Page Content 2 - Source 2",
            "desc" => "If the two-column layout is selected, this will be the second column. In full-width mode, this will be hidden.",
            "id" => "page_content_2_source2",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);


        /* Page Content 3 */

        $of_options[] = array("name" => "Page Content 3",
            "id" => "page_content_3_section",
            "type" => "sectionheader");

        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Page Content 3 - Section Layout",
            "desc" => "Select whether you want a single column or two columns in this section.",
            "id" => "page_content_3_layout",
            "std" => "fullwidth",
            "type" => "images",
            "options" => array(
                'fullwidth' => $url . 'page-layout-full.png',
                'split' => $url . 'page-layout-split.png')

        );

        $of_options[] = array("name" => "Page Content 3 - Show Page Title",
            "desc" => "Check this if you would like the actual page title to be displayed.",
            "id" => "page_content_3_showtitle",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Page Content 3 - Source 1",
            "desc" => "If the two-column layout is selected, this will be the first column. In full-width mode, this will be the only content shown.",
            "id" => "page_content_3_source1",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        $of_options[] = array("name" => "Page Content 3 - Source 2",
            "desc" => "If the two-column layout is selected, this will be the second column. In full-width mode, this will be hidden.",
            "id" => "page_content_3_source2",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        /* Page Content 4 */

        $of_options[] = array("name" => "Page Content 4",
            "id" => "page_content_4_section",
            "type" => "sectionheader");

        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Page Content 4 - Section Layout",
            "desc" => "Select whether you want a single column or two columns in this section.",
            "id" => "page_content_4_layout",
            "std" => "fullwidth",
            "type" => "images",
            "options" => array(
                'fullwidth' => $url . 'page-layout-full.png',
                'split' => $url . 'page-layout-split.png')

        );

        $of_options[] = array("name" => "Page Content 4 - Show Page Title",
            "desc" => "Check this if you would like the actual page title to be displayed.",
            "id" => "page_content_4_showtitle",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Page Content 4 - Source 1",
            "desc" => "If the two-column layout is selected, this will be the first column. In full-width mode, this will be the only content shown.",
            "id" => "page_content_4_source1",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        $of_options[] = array("name" => "Page Content 4 - Source 2",
            "desc" => "If the two-column layout is selected, this will be the second column. In full-width mode, this will be hidden.",
            "id" => "page_content_4_source2",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        /* Page Content 5 */

        $of_options[] = array("name" => "Page Content 5",
            "id" => "page_content_5_section",
            "type" => "sectionheader");

        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Page Content 5 - Section Layout",
            "desc" => "Select whether you want a single column or two columns in this section.",
            "id" => "page_content_5_layout",
            "std" => "fullwidth",
            "type" => "images",
            "options" => array(
                'fullwidth' => $url . 'page-layout-full.png',
                'split' => $url . 'page-layout-split.png')

        );

        $of_options[] = array("name" => "Page Content 5 - Show Page Title",
            "desc" => "Check this if you would like the actual page title to be displayed.",
            "id" => "page_content_5_showtitle",
            "std" => 0,
            "type" => "checkbox");

        $of_options[] = array("name" => "Page Content 5 - Source 1",
            "desc" => "If the two-column layout is selected, this will be the first column. In full-width mode, this will be the only content shown.",
            "id" => "page_content_5_source1",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);

        $of_options[] = array("name" => "Page Content 5 - Source 2",
            "desc" => "If the two-column layout is selected, this will be the second column. In full-width mode, this will be hidden.",
            "id" => "page_content_5_source2",
            "std" => "",
            "type" => "select",
            "storage" => "value",
            "options" => $of_pages);


        do_action("justlanded_options_after_content");

        do_action("justlanded_options_bottom");

    }
}
?>
