<?php
/* -----------------------------------------------------------------------------------
    ShapingRain Options Panel
    Based on the Slightly Modded Options Framework (SMOF) by AQUAGRAPHITE/Syamil MJ
    http://www.shapingrain.com
    If you have any questions or need help, please contact support@shapingrain.com
    with your Purchase Code (part of the license certificate you can download
    from themeforest)

    Inspired by and partly based on:
    Thematic Options Panel - http://wptheming.com/2010/11/thematic-options-panel-v2/
	KIA Thematic Options Panel - https://github.com/helgatheviking/thematic-options-KIA
	Woo Themes - http://woothemes.com/
	Option Tree - http://wordpress.org/extend/plugins/option-tree/
/*-----------------------------------------------------------------------------------*/

/**
 * Definitions
 */
$theme_version = '';
	    
if( function_exists( 'wp_get_theme' ) ) { // WP 3.4+
	if( is_child_theme() ) {
		$temp_obj = wp_get_theme();
		$theme_obj = wp_get_theme( $temp_obj->get('Template') );
	} else {
		$theme_obj = wp_get_theme();    
	}

	$theme_version = $theme_obj->get('Version');
	$theme_name = $theme_obj->get('Name');
	$theme_uri = $theme_obj->get('ThemeURI');
	$author_uri = $theme_obj->get('AuthorURI');
} else { // < WP 3.4
	$theme_data = get_theme_data( TEMPLATEPATH.'/style.css' );
	$theme_version = $theme_data['Version'];
	$theme_name = $theme_data['Name'];
	$theme_uri = $theme_data['ThemeURI'];
	$author_uri = $theme_data['AuthorURI'];
}

define( 'OF_DEBUG_MODE', FALSE);


define( 'SMOF_VERSION', '1.4.0.10' );
define( 'THEME_VERSION', $theme_version);
define( 'ADMIN_PATH', TEMPLATEPATH . '/admin/' );
define( 'ADMIN_DIR', get_template_directory_uri() . '/admin/' );
define( 'LAYOUT_PATH', ADMIN_PATH . '/layouts/' );
define( 'THEMENAME', $theme_name );
define( 'THEMEVERSION', $theme_version );
define( 'THEMEURI', $theme_uri );
define( 'THEMEAUTHORURI', $author_uri );

define( 'OF_HELP_ACTIVE', TRUE );

// Help Sidebar
$help_sidebar_content[]= "<p><strong>".__("More Help:",'justlanded')."</strong></p>";
$help_sidebar_content[]= "<p><a target=\"_blank\" href=\"http://p0zitiv.ru/\">p0zitiv.ru</a></p>";
$help_sidebar_content[]= "<p><a target=\"_blank\" href=\"http://shapingrain.zendesk.com/home/\">".__("Support Home",'justlanded')."</a></p>";
define( 'OF_HELP_SIDEBAR', implode('', $help_sidebar_content));

/**
 * Implementation of profiles for ShapingRain.com options
 * */

do_action("justlanded_before_profile_settings");

if (!defined('MAXPROFILES')) define( 'MAXPROFILES', 10);

$active_profile = get_option($theme_name.'_profile_active');
if ($active_profile == 0)
{
    $active_profile = 1;
    update_option($theme_name.'_profile_active', 1);
}
define( 'ACTIVEPROFILE', $active_profile);
define( 'ACTIVEPROFILE_FIELD', $theme_name.'_profile_active' );

define('OPTIONSPREFIX', $theme_name.'_options' . '_');
define('OPTIONS', $theme_name.'_options' . '_' . ACTIVEPROFILE );
define('BACKUPS',$theme_name.'_backups' . ACTIVEPROFILE );

$site_default_profile = get_option($theme_name.'_site_default_profile');
if ($site_default_profile == 0)
{
    $site_default_profile = 1;
    update_option($theme_name.'_site_default_profile', 1);
}
define('SITE_DEFAULT_PROFILE', $site_default_profile);

/**
 * Required action filters
 */
if (is_admin() && isset($_GET['activated'] ) && isset($pagenow) && $pagenow == "themes.php" ) add_action('admin_head','of_option_setup');
add_action('admin_head', 'optionsframework_admin_message');
add_action('admin_init','optionsframework_admin_init');
add_action('admin_menu', 'optionsframework_add_admin');
add_action( 'init', 'optionsframework_mlu_init');

/*
 * Add menu for JustLanded to Admin Bar (Toolbar as of WP 3.3)
 */
function justlanded_custom_adminbar_menu( $meta = TRUE ) {
    global $wp_admin_bar;
    if ( !is_user_logged_in() ) { return; }
    if ( !is_super_admin() || !is_admin_bar_showing() ) { return; }
    $wp_admin_bar->add_menu( array(
        'id' => 'justlanded_menu',
        'href' => admin_url('themes.php?page=optionsframework'),
        'title' => __( '<span class="ab-icon"></span>', 'justlanded' ) )
    );
    $wp_admin_bar->add_menu( array(
            'parent' => 'justlanded_menu',
            'id'     => 'custom_links',
            'title' => __( 'JustLanded Options', 'justlanded'),
            'href' => admin_url('themes.php?page=optionsframework'),
            'meta'  => array())
    );

    do_action("justlanded_admin_menu_after_options");

    $wp_admin_bar->add_menu( array(
            'parent' => 'justlanded-external',
            'id'     => 'shapingrain_link',
            'title' => __( 'p0zitiv.ru', 'justlanded'),
            'href' => 'http://p0zitiv.ru/',
            'meta'  => array( 'target' => '_blank' ) )
    );
    $wp_admin_bar->add_menu( array(
            'parent' => 'justlanded-external',
            'id'     => 'shapingrain_support',
            'title' => __( 'Support', 'justlanded'),
            'href' => 'https://shapingrain.zendesk.com/home',
            'meta'  => array( 'target' => '_blank' ) )
    );

    do_action("justlanded_admin_menu_after_support");

    $wp_admin_bar->add_group( array(
        'parent' => 'justlanded_menu',
        'id'     => 'justlanded-external',
        'meta'   => array(
            'class' => 'ab-sub-secondary',
        ),
    ) );
}
add_action( 'admin_bar_menu', 'justlanded_custom_adminbar_menu', 15 );

function justlanded_custom_menu_css() {
    $custom_menu_css = '<style type="text/css">
        #wp-admin-bar-justlanded_menu > .ab-item .ab-icon {
        width: 20px;
        height: 20px;
        margin-top: 4px;
        background-image: url('.get_template_directory_uri().'/shortcodes/images/button-justlanded.png);
        background-position: 0 0;
        background-repeat: no-repeat;
        }
    </style>';
    echo $custom_menu_css;
}

if ( is_user_logged_in() && (is_super_admin() || !is_admin_bar_showing())) {
    add_action( 'wp_head', 'justlanded_custom_menu_css' );
}
add_action( 'admin_head', 'justlanded_custom_menu_css' );


/**
 * Required Files
 */
require_once ( ADMIN_PATH . 'functions/functions.load.php' );
require_once ( ADMIN_PATH . 'classes/class.options_machine.php' );

/**
 * AJAX Saving Options
 */
add_action('wp_ajax_of_ajax_post_action', 'of_ajax_callback');
?>